Subject: Re: pull request: bluetooth 2022-09-09

From: Jakub Kicinski <[email-masked]>
Date: Tue, 20 Sep 2022 14:03:27 -0700

On Tue, 20 Sep 2022 13:56:45 -0700 Luiz Augusto von Dentz wrote:
> > > Looks like this still hasn't been applied, is there any problem that
> > > needs to be fixed?  
> >
> > Sorry about the delay, we were all traveling to Linux Plumbers.
> > Pulling now.
> >
> > Any reason why struct hci_dev_info is not under include/uapi ?  
> 
> None of Bluetooth APIs are there, at some point I was discussing with
> Marcel that we should probably fix that so we can properly expose
> headers to userspace as right now this depends on bluez library which
> is something we want to deprecate.

It'd be great if for no other reason just to make it very clear 
that the structures are uAPI during review.